Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.internet
Class AddressException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.mail.MessagingException
                        |
                        +--javax.mail.internet.ParseException
                              |
                              +--javax.mail.internet.AddressException

All Implemented Interfaces:
  java.io.Serializable

public class AddressException
extends ParseException

The exception thrown when a wrongly formatted address is encountered.

See Also:
  Serialized Form

Field Summary
`protected int` | `pos` The index in the string where the error occurred, or -1 if not known.
`protected java.lang.String` | `ref` The string being parsed.

Constructor Summary
`AddressException()` Constructs an AddressException with no detail message.
`AddressException(java.lang.String s)` Constructs an AddressException with the specified detail message.
`AddressException(java.lang.String s, java.lang.String ref)` Constructs an AddressException with the specified detail message and reference info.
`AddressException(java.lang.String s, java.lang.String ref, int pos)` Constructs an AddressException with the specified detail message and reference info.

Method Summary
`int` | `getPos()` Get the position with the reference string where the error was detected (-1 if not relevant).
`java.lang.String` | `getRef()` Get the string that was being parsed when the error was detected (null if not relevant).
`java.lang.String` | `toString()`

Methods inherited from class javax.mail.MessagingException
`getMessage, getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ref

    protected java.lang.String ref

  The string being parsed.

### pos

    protected int pos

  The index in the string where the error occurred, or -1 if not known.

Constructor Detail

### AddressException

    public AddressException()

  Constructs an AddressException with no detail message.

### AddressException

    public AddressException(java.lang.String s)

  Constructs an AddressException with the specified detail message.
  Parameters:
    `s` - the detail message

### AddressException

    public AddressException(java.lang.String s,
                            java.lang.String ref)

  Constructs an AddressException with the specified detail message and reference info.
  Parameters:
    `s` - the detail message

### AddressException

    public AddressException(java.lang.String s,
                            java.lang.String ref,
                            int pos)

  Constructs an AddressException with the specified detail message and reference info.
  Parameters:
    `s` - the detail message

Method Detail

### getRef

    public java.lang.String getRef()

  Get the string that was being parsed when the error was detected (null if not relevant).

### getPos

    public int getPos()

  Get the position with the reference string where the error was detected (-1 if not relevant).

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD